Security Enhanced Linux Reference Policy

# Layer: apps

## Module: cryfs

Tunables Templates

### Description:

CryFS and similar other tools which mount encrypted directories using FUSE.

### Tunables:

cryfs_manage_all_user_content

##### Default value

false

##### Description

Grant the cryfs domains manage rights on all user content

cryfs_manage_generic_user_content

##### Default value

false

##### Description

Grant the cryfs domains manage rights on generic user content

cryfs_read_all_user_content

##### Default value

false

##### Description

Grant the cryfs domains read access to all user content

cryfs_read_generic_user_content

##### Default value

true

##### Description

Grant the cryfs domains read access to generic user content

Return

### Templates:

cryfs_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for CryFS.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return